com.taggercat.util
Class WizardParametersImpl

java.lang.Object
  extended by java.util.AbstractMap<K,V>
      extended by java.util.HashMap<java.lang.String,java.lang.Object>
          extended by com.taggercat.util.WizardParametersImpl
All Implemented Interfaces:
IWizardParameters, java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

public class WizardParametersImpl
extends java.util.HashMap<java.lang.String,java.lang.Object>
implements IWizardParameters, java.io.Serializable

A collection of request parameters. This is typically used in conjunction with the ClientScope tag. It can be used in wizards or wherever you want to save parameter values across page requests.

See Also:
Serialized Form
 

Nested Class Summary
 
Nested classes/interfaces inherited from class java.util.AbstractMap
java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>
 
Constructor Summary
WizardParametersImpl()
           
 
Method Summary
 java.lang.String getWildcard()
           
 void setParameters(javax.servlet.http.HttpServletRequest request)
           
 void setWildcard(java.lang.String wildcard)
           
 
Methods inherited from class java.util.HashMap
clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values
 
Methods inherited from class java.util.AbstractMap
equals, hashCode, toString
 
Methods inherited from class java.lang.Object
getClass, notify, notifyAll, wait, wait, wait
 
Methods inherited from interface java.util.Map
equals, hashCode
 

Constructor Detail

WizardParametersImpl

public WizardParametersImpl()
Method Detail

setParameters

public void setParameters(javax.servlet.http.HttpServletRequest request)
Specified by:
setParameters in interface IWizardParameters

getWildcard

public java.lang.String getWildcard()

setWildcard

public void setWildcard(java.lang.String wildcard)